/*
  Josh's Custom CSS Reset
  https://www.joshwcomeau.com/css/custom-css-reset/
*/

*, *::before, *::after {
  box-sizing: border-box;
}

*:not(dialog) {
  margin: 0;
}

@media (prefers-reduced-motion: no-preference) {
  html {
    interpolate-size: allow-keywords;
  }
}

body {
  line-height: 1.5;
  -webkit-font-smoothing: antialiased;
}

img, picture, video, canvas, svg {
  display: block;
  max-width: 100%;
}

input, button, textarea, select {
  font: inherit;
}

p, h1, h2, h3, h4, h5, h6 {
  overflow-wrap: break-word;
    font-weight: 100;
}

p {
  text-wrap: pretty;
  padding: 0 1rem;
}
h1, h2, h3, h4, h5, h6 {
  text-wrap: balance;
}

#root, #__next {
  isolation: isolate;
}

@font-face {
    font-family: 'Lovelace';
    src: url(/Content/Fonts/Zetafonts\ -\ Lovelace\ Text\ Regular.otf);
}

@font-face {
    font-family: 'Helvetica Light';
    src: url(/Content/Fonts/Helvetica.otf);
}

@font-face {
    font-family: 'Dancing Script';
    src: url(/Content/Fonts/DancingScript-Regular.ttf);
}

body{
    overflow-x: hidden;
}

h1, a{
    font-family: 'Lovelace';
}

h1 span{
    font-family: 'Dancing Script';
}

p{
    font-family: Helvetica, Arial, sans-serif;
}

a{
    text-decoration: none;
    text-transform: uppercase;
}

a:hover{
    text-decoration: underline;
}

.primary-header{
    display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: space-between;
}

.logo{
    display: block;
    width: 15vw;
    padding-left: 2rem;
    padding-top: 1rem;
}


.primary-navigation{
    position: relative;
    display: flex;
    list-style: none;
    margin: 0;
    padding: 0 2rem 0 0 ;
    gap: 2rem;
    align-items: center;
    z-index: 9000;
}

.primary-navigation a{
    color: white;
    font-size: 1.5rem;
}

.mobile-nav-toggle{
    display: none;
}

.sr-only{
    clip: rect(0 0 0 0); 
  clip-path: inset(50%);
  height: 1px;
  overflow: hidden;
  position: absolute;
  white-space: nowrap; 
  width: 1px;
}

.mobile-book{
    display: none;
}

@media screen and (max-width: 35em){
    .primary-navigation{
        position: fixed;
        flex-direction: column;
        inset: 0 0 0 0;
        background: hsl(0, 0%, 0%, 0.5);
        backdrop-filter: blur(.75em);
        text-align: right;
        padding: min(20vh, 10rem) 5rem;
        transform: translateX(100%);
        transition: transform 350ms ease-out;
    }

    .primary-navigation[data-visible='true']{
        transform: translateX(0%);
    }

    .mobile-nav-toggle{
        display: block;
        background: url(Content/menu.svg);
        background-repeat: no-repeat;
        width: 2rem;
        border: 0;
        aspect-ratio: 1;
        z-index: 9999;
    }

    .mobile-nav-toggle:hover{
        background-color: transparent;
    }

    .logo{
        width: 20vw;
        padding-right: 0;
        padding-left: .5rem;
    }

    .primary-header{
        gap: .5rem;
        justify-content: space-between;
        margin-left: 2rem;
        margin-right: 2rem;

    }

    .mobile-book{
        display: block;
        z-index: 7000;
        font-size: .75rem;
        padding: 0.25rem;
    }

    .primary-header a{
        flex-grow: 1;
    }
    

    .primary-header a img{
        width: 20vw;
    }

    .transition{
        padding-top: 2rem;
    }

    .transition img{
        opacity: 30%;
        width: 40vw;
        position: absolute;
        inset: -6% 0 0 65%;
        z-index: 1000;
    }

    .gloss .subtitle{
        justify-self: end;
        flex-direction: row-reverse;
    }
}


#hero{
    display: flex;
    inset: 0 0 0 0;
    padding-top: 1rem;
    height: 100vh;
}

#hero h1{
    font-size: 3rem;
    font-weight: 100;
}

.overlay{
    position: absolute;
    inset: 0 0 0 0;
    width: 100vw;
    height: 105vh;
    background-color: hsl(0, 0%, 0%, 50%);
    z-index: -100;
}

#hero picture {
    height: 110vh;
    z-index: -200;
}

#hero picture img {
    position: absolute;
    height:105vh;
    inset: 0 0 0 0;
    object-fit: cover;
    object-position: 0% 85%;
    width: 100vw;

    /*mask: 
        linear-gradient(0,#0000 2.25rem,#000 0),
        radial-gradient(2.25rem,#000 calc(100% - 1px),#0000) bottom/4.16rem 4.5rem*/
}


.container{
    display: flex;
    flex-direction: column;
    color:white;
    padding:4rem 2rem 2rem 2rem;
    gap:1rem;
    justify-content: space-between;
    width: 100%;
}

.container > *{
    margin-bottom: 0;
}

.bottom > p{
    font-family: 'Lovelace';
    font-size: 1.75rem;
}

.bottom{
    text-align: right;
    padding-bottom: 2rem;
    display: flex;
    flex-direction: column;
    gap: 1rem;
    align-items: end;
}

.bottom button{
    font-size: 1rem;
    padding: .5rem
}


button{
    background-color: transparent;
    padding: 1rem;
    border-radius: 0;
    width: fit-content;
    border: white .0125rem;
    transition: .3s;
    border-style: solid;
    color: white;
    font-size: 1.5rem;
    text-transform: uppercase;
    font-family: 'Lovelace';
}

button:hover{
    background-color: white;
    color: #2F1B28;
    text-decoration: underline;
}

a.button:hover{
    color: #2F1B28;
    text-decoration: underline;
}

.transition{
    text-align: center;
    position: relative;
}



.services{
    display: grid;
    grid-template-columns: 1fr;
    margin-top: 2.5rem;
    margin-bottom: 2.5rem;
    background-color: #FFEDEA;
    align-items: center;
    text-align: center;
    justify-items: center;
    padding: 2rem 0;
    gap: 1rem;
}


.special{
    border: #A91D73 .0125rem;
    border-style: solid;
    color:#A91D73;
}

.special:hover{
    background-color: #A91D73;
    color: white;
}

.services img{
    width: 40vw;
}

.services picture{
    grid-column: 1;
}

.services h1{
    grid-column: 1 / span 1;
}

.subtitle{
    display: flex;
    font-size: .75rem;
    letter-spacing: 20%;
    align-items: center;
    gap: 1rem;
    grid-column: 1;
    justify-self: baseline;
}

.subtitle p{
    font-weight: 800;
    padding: 0;
}

.line{
    border-bottom: #2F1B28 .125rem solid;
    border-top: none;
    border-left: none;
    border-right: none;
    width: 25vw;
}

.services  p{
    font-family:  Helvetica, Arial, sans-serif;
}

.services  h1{
    grid-column: 1;
}

.services  .text{
    grid-row: 4;
    display: flex;
    flex-direction: column;
    gap: 1rem;
    align-items: center;
}

.gloss{
    display: grid;
    grid-template-columns: 1fr;
    margin-top: 2.5rem;
    margin-bottom: 2.5rem;
    align-items: center;
    text-align: center;
    justify-items: center;
    padding: 2rem 0;
    gap: 1rem;
}


.special{
    border: #A91D73 .0125rem;
    border-style: solid;
    color:#A91D73;
}

.special:hover{
    background-color: #A91D73;
    color: white;
}

.gloss img{
    width: 40vw;
}

.gloss picture{
    grid-column: 1;
}

.gloss h1{
    grid-column: 1 / span 1;
}



.subtitle p{
    font-weight: 800;
}

.line{
    border-bottom: #2F1B28 .125rem solid;
    border-top: none;
    border-left: none;
    border-right: none;
    width: 25vw;
}

.gloss  p{
    font-family:  Helvetica, Arial, sans-serif;
}

.gloss  h1{
    grid-column: 1;
}

.gloss  .text{
    grid-row: 4;
    display: flex;
    flex-direction: column;
    gap: 1rem;
    align-items: center;
}



.review{
    background-color: #FFEDEA;
    padding-top: 2rem;
    padding-bottom: 2rem;
    margin-top: 10rem;
}

.review h1{
    text-align: center;
    padding-top: 2rem;
}

.review .card{
    background-color: #CF6855;
    color: white;
    padding: 2rem;
}

.review .container{
    padding-top: 2rem;
}

.review .container img{
    width: 5rem;
    margin-left: 0;
    margin-right: 0;
    padding: 0;
}

.first{
    transform: rotate(180deg);
    position:relative;
    margin-top: -5rem;
    top: 3rem;
    left: -1rem;

}

.second{
    position: relative;
    top: 2.5rem;
    left: 16.5rem;
    margin-top: -5rem;
}

.name{
    text-align: right;
}

.cta{
    padding-top: 5rem;
    padding-bottom: 5rem;
    margin-bottom: 5rem;
    text-align: center;
}

.cta p{
    margin: 2rem;
}

footer{
    background-color: #FFEDEA;
    text-align: center;
    display: flex;
    flex-direction: column;
}

.flower{
    width: 15rem;
    margin-bottom: -10rem;
    position: relative;
    right: -10rem;
    top: -8.75rem;
}

.logo-foot{
    padding: 1rem;
    width: 50vw;
    align-self: center;
}

footer p{
    padding: .5rem 2rem;
}

footer a{
    font-family: Helvetica, Arial, sans-serif;
    color:#2F1B28;
}


footer button{
    font-size: 1rem;
}

footer ul{
    padding-top: 1rem;
    list-style: none;
    padding-left: 0;
}

footer ul li{
    padding: .25rem;
}

footer ul li p{
    padding: 0;
}

.sub{
    font-weight: 100;
}

.small{
    width: 2rem;
}

.sm-icons{
    display: flex;
    align-items: center;
    flex-direction: column;
    padding: 1rem 0;
}

.top-link{
    display: flex;
    flex-direction: column;
    align-items: center;
}

.copyright{
    font-family: 'Lovelace';
    text-transform: uppercase;
}

.tiny{
    font-size: .75rem;
    font-weight: 100;
    text-transform: none;
}

.desktop{
    display: none;
}

@media screen and (min-width: 36em) {

    button{
        border: .125rem solid;
    }

    .special{
        border: .125rem solid;
    }

    .bottom button{
        font-size: 2rem;
        padding: 1rem;
    }

    h1{
        font-size: 2.5rem;
    }

    p{
        font-size: 1.25rem;
    }

    .transition img{
        width: 20vw;
    }

    .transition img{
        opacity: 30%;
        position: absolute;
        inset: -60% 0 0 65%;
        z-index: 1000;
    }

    .bottom{
        padding-bottom: 6rem;
    }

    .bottom p{
        font-size: 3rem;
        width: 40%;
    }

    .subtitle p{
        font-weight: 800;
        font-size: 1rem;
    }

    .transition{
        padding-bottom: 5rem;
    }


    .services {
        display: grid;
        color: #2F1B28;
        align-items: start;
        justify-items: baseline;
        text-align: left;
        padding: 0;
        gap: 1rem;
    }

    .services p{
        font-family:  Helvetica, Arial, sans-serif;
    }

    .services .subtitle{
        grid-column: 1;
        padding-top: 2rem;
        margin: 0;
    }

    .services h1{
        grid-column: 1;
        padding-left: 2rem;
    }

    .services picture{
        grid-column: 2;
        grid-row: 1 / span 4;
    }


    .services .text{
        grid-row: 3 / span 1;
        padding-left: 2rem;
        align-items: flex-start;
    }
        
    .mobile{
        display: none;
    }
    .desktop{
        display: block;
    }


    .gloss {
        display: grid;
        color: #2F1B28;
        align-items: start;
        justify-items: baseline;
        text-align: left;
        padding: 0;
        gap: 1rem;
    }

    .gloss p{
        font-family:  Helvetica, Arial, sans-serif;
    }

    .gloss .subtitle{
        grid-column: 1 / span 2;
        grid-row: 1;
        padding-top: 2rem;
        margin: 0;
        flex-direction: row-reverse;
        justify-self: end;
    }

    .gloss h1{
        grid-column: 1;
        padding-left: 2rem;
    }

    .gloss picture{
        grid-column: 2;
        grid-row: 2 / span 4;
    }


    .gloss .text{
        grid-row: 3 / span 1;
        padding-left: 2rem;
        align-items: flex-start;
    }

    .gloss p{
        padding: 1rem 0;
    }

    .review{
        padding-bottom: 5rem;
    }

    .review .container{
        display: grid;
        grid-template-columns: 1fr 1fr;
        padding: 0 4rem;
        margin-top: 2rem;
    }

    .review .container .card{
        grid-row: 1;
        width: fit-content;
        justify-self: center;
    }

    .review .container img{
        width: 6rem;
    }

    .first{
        position: relative;
        top: -8.5rem;
        left: -3rem;
    }

    .second{
        position: relative;
        top: 2rem;
        left: 90%;
    }
    
    .flower{
        position: relative;
        top: -10rem;
        left: 20%;
        width: 20rem;
        margin-bottom: -100rem;
    }

    footer{
        display: grid;
        grid-template-columns: 1fr 1fr;
        justify-content: baseline;
        align-items: start;
        padding-bottom: 5rem;
    }

    footer button{
        grid-column: 1;
        justify-self: left;

    }

    footer p{
        text-align: left;
        margin-left: 2rem;
    }

    .logo-foot{
        width: 20svw;
        margin-top: 10rem;
        grid-column: 1;
        grid-row: 1;
        margin-left: 1.5rem;
    }

    .address{
        grid-column: 1 / span 2;
        text-align: center;
    }

    .blurb{
        text-align: left;
    }

    .blurb p{
        padding: .25rem;
    }

    .blurb button{
        margin-left: 2rem;
    }

    .links{
        text-align: right;
        margin-right: 2rem;
    }

    .sm-icons{
        flex-direction: row;
        justify-self: right;
        margin-right: 2rem;
    }

    .sm-icons img{
        width: 5svw;
    }

    .copyright{
        grid-column: 1 / span 2;
        margin-left: 0;
    }

    .top-link{
        grid-column: 2 / span 1;
        justify-self: end;
        margin-right: 2rem;
    }
    .top-link img{
        width: 1.5svw;
    }

    .tiny{
        margin-left: 0;
    }
}
